﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DockManager.Dragging;
using Infragistics.Windows.DockManager;
using System.Diagnostics;

namespace XamDockFloating
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void XamDockManager_PaneDragOver(object sender, Infragistics.Windows.DockManager.Events.PaneDragOverEventArgs e)
        {
            if (e.DragAction is AddToGroupAction)
            {
                e.IsValidDragAction = false;
                e.Cursor = Cursors.Arrow;
            }

            if (e.DragAction is NewTabGroupAction)
            {
                e.IsValidDragAction = false;
                e.Cursor = Cursors.Arrow;
            }

            if (e.DragAction is NewSplitPaneAction)
            {
                e.IsValidDragAction = false;
                e.Cursor = Cursors.Arrow;
            }

            if (e.DragAction is AddToDocumentHostAction)
            {
                e.IsValidDragAction = false;
                e.Cursor = Cursors.Arrow;
            }
        }
    }
}
